ProtocolHandler (Tomcat API Documentation)
Keywords: org.apache.coyote.ProtocolHandler interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface ProtocolHandler

All Known Implementing Classes:
  AjpAprProtocol, AjpProtocol, Http11AprProtocol, Http11NioProtocol, Http11Protocol, JkCoyoteHandler, MemoryProtocolHandler

    public interface ProtocolHandler

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI. This is the main interface to be implemented by a coyoute connector. Adapter is the main interface to be impleneted by a coyote servlet container.

Author:
  Remy Maucherat, Costin Manolache
See Also:
  `Adapter`

Method Summary
`void` | `destroy()`
`Adapter` | `getAdapter()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Iterator` | `getAttributeNames()`
`void` | `init()` Init the protocol.
`void` | `pause()` Pause the protocol (optional).
`void` | `resume()` Resume the protocol (optional).
`void` | `setAdapter(Adapter adapter)` The adapter, used to call the connector.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Pass config info.
`void` | `start()` Start the protocol.

Method Detail

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object value)

  Pass config info.

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    java.util.Iterator getAttributeNames()

### setAdapter

    void setAdapter(Adapter adapter)

  The adapter, used to call the connector.

### getAdapter

    Adapter getAdapter()

### init

    void init()
              throws java.lang.Exception

  Init the protocol.

  Throws:
    `java.lang.Exception`

### start

    void start()
               throws java.lang.Exception

  Start the protocol.

  Throws:
    `java.lang.Exception`

### pause

    void pause()
               throws java.lang.Exception

  Pause the protocol (optional).

  Throws:
    `java.lang.Exception`

### resume

    void resume()
                throws java.lang.Exception

  Resume the protocol (optional).

  Throws:
    `java.lang.Exception`

### destroy

    void destroy()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.